MKFS(8)

NAZWA
mkfs - zbuduj linuksowy system plików

SKŁADNIA
mkfs [-V] [-t typ_fs] [opcje-fs] filesys [bloki]

OPIS
mkfs służy do budowania linuksowego systemu plików na zadanym urządzeniu, zwykle partycji dysku twardego. filesys jest albo nazwą urządzenia (np. /dev/hda1, /dev/sdb2) albo punktem montowania (np. /, /usr, /home) dla danego systemu plików. Parametr bloki jest liczbą bloków, jakie zostaną użyte dla zadanego systemu plików.

mkfs zwraca kod zakończenia równy 0 w przypadku powodzenia, zaś 1 przy porażce.

W rzeczywistości mkfs jest po prostu interfejsem dla różnych poleceń budujących systemy plików (mkfs.typ_fs) dostępnych w Linuksie. Polecenie budowania odpowiednie dla danego typu systemu plikowego wyszukiwane jest w wielu różnych katalogach jak /sbin, /sbin/fs, /sbin/fs.d, /etc/fs, /etc (dokładna lista definiowana jest na etapie kompilacji, ale zawiera co najmniej /sbin i /sbin/fs), a ostatecznie w katalogach wymienionych w zmiennej środowiskowej PATH. Przeglądnij, proszę, strony podręcznika właściwe dla poleceń budowania konkretnych typów systemów plików. Znajdziesz tam więcej szczegółów.

OPCJE

-V  Tryb gadatliwy. Wyświetlaj szczegółowe komunikaty, łącznie ze wszystkimi wywoływanymi poleceniami specyficznymi dla systemu plików. Podanie tej opcji więcej niż jednokrotnie zabrania wykonywania jakichkolwiek poleceń specyficznych dla danego systemu plików. Naprawdę przydatne tylko do testowania.

-t typ_fs
    Określa typ tworzonego systemu plików. Jeśli nie podano, używany jest domyślny (obecnie ext2).

opcje-fs
    Opcje specyficzne dla danego systemu plikowego, jakie mają zostać przekazane do faktycznego polecenia tworzenia systemu plików. Mimo, że nie jest to gwarantowane, poniższe opcje obsługiwane są przez większość poleceń tworzących systemy plików.

-c  Sprawdź uszkodzone bloki (bad blocks) urządzenia przed utworzeniem systemu plików.

-l nazwapliku
    Odczytaj listę błędnych plików z pliku o podanej nazwie.

-v  (verbose) Włącz tryb gadatliwy.

BŁĘDY
Wszystkie opcje ogólne muszą poprzedzać i nie mogą być łączone z opcjami specyficznymi dla systemu plików. Niektóre z programów budujących pewne systemy plików nie obsługują opcji -v ani nie zwracają znaczących kodów zakończenia. Ponadto, niektóre z programów tworzących systemy plików nie rozpoznają automatycznie wielkości urządzania i wymagają podania parametru bloki.

AUTORZY
David Engel (david@ods.com)
Fred N. van Kempen (waltje@uwalt.nl.mugnet.org)
Ron Sommeling (sommel@sci.kun.nl)
Niniejsza strona podręcznika została bezwstydnie zaadaptowana z wersji Remy'ego Carda do systemu plików ext2.

ZOBACZ TAKŻE
fsck(8), mkfs.minix(8), mkfs.ext(8), mkfs.ext2(8), mkfs.xiafs(8).